pkcs11h-openssl.h File Reference
OpenSSL interface

pkcs11-helper OpenSSL interface. More...

Go to the source code of this file.

## Typedefs

typedef void(* | pkcs11h_hook_openssl_cleanup_t) (IN const pkcs11h_certificate_t certificate)
| OpenSSL RSA cleanup hook.
typedef struct pkcs11h_openssl_session_s * | pkcs11h_openssl_session_t
| OpenSSL session reference.

## Functions

X509 * | pkcs11h_openssl_getX509 (IN const pkcs11h_certificate_t certificate)
| Returns an X509 object out of the openssl_session object.
pkcs11h_openssl_session_t | pkcs11h_openssl_createSession (IN const pkcs11h_certificate_t certificate)
| Create OpenSSL session based on a certificate object.
pkcs11h_hook_openssl_cleanup_t | pkcs11h_openssl_getCleanupHook (IN const pkcs11h_openssl_session_t openssl_session)
| Sets cleanup hook.
void | pkcs11h_openssl_setCleanupHook (IN const pkcs11h_openssl_session_t openssl_session, IN const pkcs11h_hook_openssl_cleanup_t cleanup)
| Sets cleanup hook.
void | pkcs11h_openssl_freeSession (IN const pkcs11h_openssl_session_t openssl_session)
| Free OpenSSL session.
RSA * | pkcs11h_openssl_session_getRSA (IN const pkcs11h_openssl_session_t openssl_session)
| Returns an RSA object out of the openssl_session object.
EVP_PKEY * | pkcs11h_openssl_session_getEVP (IN const pkcs11h_openssl_session_t openssl_session)
| Returns an EVP_PKEY out of the openssl_session object.
X509 * | pkcs11h_openssl_session_getX509 (IN const pkcs11h_openssl_session_t openssl_session)
| Returns an X509 object out of the openssl_session object.

## Detailed Description

pkcs11-helper OpenSSL interface.

Author
  Alon Bar-Lev alon..nosp@m.barl.nosp@m.ev@gm.nosp@m.ail..nosp@m.com

See also
  OpenSSL interface.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |